<template>
  <el-main>
    <el-form ref="form" :model="form" label-width="105px" size="20">
      <el-row>
        <el-col :span="12">
          <el-form-item label="文号">
            <el-input v-model="form.unitName" placeholder="——————罚责改通字〔    〕第————号"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="当事人">
            <el-input v-model="form.litigant" placeholder="请填写当事人姓名"></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-form-item label="证件号/信用码">
        <el-input v-model="form.certNo" placeholder="请填写身份证号码/统一社会信用代码"></el-input>
      </el-form-item>
      <el-form-item label="地址">
        <el-input v-model="form.address" placeholder="请填写当事人地址"></el-input>
      </el-form-item>
      <el-row>
        <el-col :span="12">
          <el-form-item label="负责人">
            <el-input v-model="form.legalPerson" placeholder="请填写法定代表人（负责人/经营者）"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="联系电话">
            <el-input v-model="form.linkPhone" placeholder="请填写联系电话"></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <div class="box" style="margin-left: 85px;font-size: 18px;">
        <span>你（单位）于</span>
        <el-date-picker
          v-model="form.illegalTime"
          type="datetime"
          :value-format="`yyyy-MM-dd HH:mm:ss`"
          placeholder="选择日期时间">
        </el-date-picker>
        <span>，执法人员在</span>
        <el-input v-model="form.illegalLocation" placeholder="" style="width: 160px!important;"></el-input>
        <span>巡查过程中，发现</span>
        <el-input v-model="form.illegalAct" placeholder="违法行为" style="width: 160px!important;"></el-input>
        <span>的行为，有对</span>
        <el-input v-model="form.litigant" placeholder="请输入当事人姓名" style="width: 160px!important;"></el-input>
        <span>（当事人）的《询问笔录》证实以上违法行为属实 ，违反了 《</span>
        <el-input v-model="form.legalBasis" placeholder="请输入XX法律" style="width: 160px!important;"></el-input>
        <span>法》第</span>
        <el-input v-model="form.legalBasisTiao" placeholder="请输入法律第几条" style="width: 160px!important;"></el-input>
        <span>条第</span>
        <el-input v-model="form.legalBasisKuan" placeholder="请输入法律第几款" style="width: 160px!important;"></el-input>
        <span>款第</span>
        <el-input v-model="form.legalBasisXiang" placeholder="请输入法律第几项" style="width: 160px!important;"></el-input>
        <span>项的规定，本局执法人员当场向你（你们）告知了违法事实、依据和依法享有</span>
        <span>的权利，你有陈述和申辩的权利。现依据《</span>
        <el-input v-model="form.legalClause" placeholder="请输入XX法律" style="width: 100px!important;"></el-input>
        <span>法》第</span>
        <el-input v-model="form.legalClauseTiao" placeholder="请输入法律第几条" style="width: 160px!important;"></el-input>
        <span>条第</span>
        <el-input v-model="form.legalClauseKuan" placeholder="请输入法律第几款" style="width: 160px!important;"></el-input>
        <span>款第</span>
        <el-input v-model="form.legalClauseXiang" placeholder="请输入法律第几项" style="width: 160px!important;"></el-input>
        <span>项，本机关决定对你（单位）处以下行政处罚：</span>
      </div>
      <el-form-item>
        <el-checkbox-group v-model="form.type" style="display: flex;flex-direction: column;font-size: 20px!important;">
          <el-checkbox label="1" name="type">警告；</el-checkbox>
          <el-checkbox label="2" name="type">
            罚款人民币
            <el-input v-model="form.penalty" placeholder="   千   百   拾   元" style="width: 160px!important;"></el-input>
            整（大写）。￥：
            <el-input v-model="form.penaltyNumber" placeholder="阿拉伯数字" style="width: 160px!important;"></el-input>
          </el-checkbox>
        </el-checkbox-group>
      </el-form-item>
      <el-form-item label="缴纳方式：">
        <el-checkbox-group v-model="form.fines">
          <el-checkbox label="1" name="type">当场收缴;</el-checkbox>
          <el-checkbox label="2" name="type" style="display: flex!important;flex-wrap: wrap!important;">
            <span>要求你（单位）自收到本决定书之日起15日内将罚款交至</span>
            <el-input v-model="form.bank" placeholder="请输入缴纳银行的名称" style="width: 160px"></el-input>
            <span>或者通过电子支付系统缴纳罚款。账号：</span>
            <el-input v-model="form.account" placeholder="请输入账号" style="width: 160px"></el-input>
            <span>户名：</span>
            <el-input v-model="form.accountName" placeholder="请输入户名" style="width: 160px"></el-input>
            <span>地    址: </span>
            <el-input v-model="form.place" placeholder="请输入缴纳地址"></el-input>
            <span>逾期缴纳罚款的，依据《中华人民共和国行政处罚法》第七十二条第（一）项的规定，每日按罚款数额的3%加处罚款。</span>
          </el-checkbox>
        </el-checkbox-group>
      </el-form-item>

      <div class="box" style="margin-left: 85px;font-size: 18px;">
        <span>如你（单位）不服本行政处罚决定，可以自收到本决定书之日起60日内向</span>
        <el-input v-model="form.governmentName" placeholder="" style="width:260px!important;"></el-input>
        <span>申请行政复议；也可以自</span>
        <span>收到本决定书之日起六个月内直接向</span>
        <el-input v-model="form.courtName" placeholder="" style="width:260px!important;"></el-input>
        <span>起诉。</span>
      </div>
      <el-form-item label="扣章日期">
        <el-date-picker
          v-model="form.executionTime"
          type="date"
          :value-format="`yyyy-MM-dd`"
          placeholder="选择扣章">
        </el-date-picker>
      </el-form-item>

    </el-form>
    <div style="text-align: center">
      <el-button v-if="form.registerState=='0'||form.registerState==null" @click="dataFormSubmit('0')">保存</el-button>
      <el-button type="primary" @click="viewVord(form)">预览</el-button>
      <el-button v-if="form.registerState=='1'" type="success" @click="downloadWord(form)">下载</el-button>
    </div>
  </el-main>
</template>

<script>
import {inquiry, nowpenaltydecision} from "../../../api/News/pad";


export default {
  name: "mangeJD",
  data() {
    return {
        id:'',
      form: {
        unitName: "",
        litigant: "",
        certNo: "",
        address: "",
        legalPerson: "",
        legalPersonPhone: "",
        type: [],
      }
    }
  },
  mounted() {
    this.id = this.$store.state.user.id
    this.init();
  },
  methods: {
    init() {
      this.$nextTick(() => {
        nowpenaltydecision(this.id).then(res => {
          this.form = res.data.data
        })
      })
    },
    //点击保存数据
    dataFormSubmit() {
      /*this.form.startTime = this.value1[0]
      this.form.endTime = this.value1[1]*/
      //this.form.registerId = this.id
      inquiry(this.form).then(res => {
        if (res.data.code == 0) {
          this.$message.success("保存成功");
        }
      })
    },
    //点击预览
    viewVord(data) {
      // let wordData = this.transforData(data);
      this.$router.push({
        path: '/WordYulan',
        query: {
          wordData: data,
          src: '/wordes/penaltyDecision.docx',
          name: '处罚决定书',
        }
      })
    },
    //点击下载
    downloadWord(data) {
      this.$router.push({
        path: '/WordYulan',
        query: {
          id: this.id,
          downWordData: data,
          src: '/wordes/penaltyDecision.docx',
          name: '处罚决定书',
        }
      })
      // WordView.methods.exportDoc(wordData, "/wordes/inquiryCause.docx", "调查询问笔录.docx")
    },
  },
}
</script>

<style scoped>
.box {
  display: flex;
  justify-content: left;
  align-items: center;
  flex-wrap: wrap;
}
</style>
